#include <allegro.h>

#include <goa/allegro.h>
#include <goa/misc.h>
#include <goa/jpeg.h>
#include <goa/png.h>



int main(void)
{
	if(allegro_init()) die("allegro_init()");
	if(install_mouse()==-1) die("install_mouse()");
	install_timer();
	install_keyboard();

	install_fancy_sighandler(crash_geneshaft);

	//_png_screen_gamma=1.1;
	set_alpha_blender();
	//set_trans_blender(0,0,0,127);

	set_color_depth(32);
	if(set_gfx_mode(GFX_AUTODETECT,640,480,0,0)<0) die("Screenmode not supported.");

	BITMAP *test1=create_bitmap(256,256);

	for(int y=0;y<256;y++)
	for(int x=0;x<256;x++)
	putpixel(test1,x,y,makecol(x,y,0));

	save_png("test_bitmap.png",test1,0);

	BITMAP *test2=load_png("test_bitmap.png",0);

	blit(test1,screen,0,0,32,112,256,256);
	draw_trans_sprite(screen,test2,32+320,112);

	readkey();

	for(int y=0;y<256;y++)
	for(int x=0;x<256;x++)
	{
		int col=getpixel(test2,x,y);
		int r=getr(col),g=getg(col);

		if(r!=x||g!=y) putpixel(screen,x+32+320,y+112,makecol(255,255,255));
	}

	readkey();

	destroy_bitmap(test1);
	destroy_bitmap(test2);

	return(0);
}

END_OF_MAIN();
