#ifndef _MAIN_H_
#define _MAIN_H_

#include <math.h>
#include <allegro.h>
#include <goa/vector.h>
#include <goa/menu.h>
#include <goa/misc.h>

#define NAME "Swear"
#define VERSION "v1.0"
#define MAX_STRLEN 1024

#ifndef PI
#define PI 3.1415926535897932384626433832795
#endif

#define SQRT_2 1.4142135623730950488016887242097

void mergescores();
void unprepare_all();

char *get_config_filename();
char *get_resource_filename(char *file);

extern volatile int counter;
extern m_menulook look_ni,look_hi,look_small_ni;
extern BITMAP *bm;

extern FONT *victor_10,*victor_12;

#endif
