#include <allegro.h>
//#include <allegro/aintern.h>

#include <goa/clip.h>


clipregion::clipregion(BITMAP *bitmap)
{
	bm=bitmap;
	cl=bm->cl;
	ct=bm->ct;
	cr=bm->cr;
	cb=bm->cb;
}

void clipregion::set_coords(int left,int top,int right,int bottom)
{
	if(left<cl) left=cl;
	if(top<ct) top=ct;
	if(right>cr) right=cr;
	if(bottom>cb) bottom=cb;

	set_clip(bm,left,top,right,bottom);
}

void clipregion::set_extent(int x,int y,int width,int height)
{
	set_coords(x,y,x+width-1,y+height-1);
}

void clipregion::restore()
{
	set_clip(bm,cl,ct,cr,cb);
}
