#include <stdio.h>
#include "allegro.h"
#include "input.h"
#include "types.h"


inline uint32 getclock()
{
	register uint32 res asm("eax");
	asm("rdtsc":"=r"(res));
	return(res);
}

inline uint32 getclockdelta(volatile uint32 &prevclock)
{
	uint32 clockval=getclock(),deltaclock;
	deltaclock=clockval-prevclock;
	prevclock=clockval;
	return(deltaclock);
}

volatile uint32 clock,prevclock=0;
volatile bool print=false;

void clockread()
{ clock=getclockdelta(prevclock); print=true; }

END_OF_FUNCTION(clockread);


int main()
{
	if(allegro_init()) die("allegro_init() failed");
	install_timer();

	LOCK_VARIABLE(clock);
	LOCK_VARIABLE(prevclock);
	LOCK_VARIABLE(print);
	LOCK_FUNCTION(clockread);
	install_int(clockread,10);


	while(!keydown())
	{
		if(print)
		{
			printf("%u\n",clock);
			print=false;
		}
	}
}

END_OF_MAIN();
