#ifndef _SWEARCONFIG_H_
#define _SWEARCONFIG_H_

#include "config.h"

#define CMODE_REVOLVING 0
#define CMODE_TRACKING 1
#define CMODE_SLIDING 2

#define INERTIA_NONE 0
#define INERTIA_LOW 1
#define INERTIA_MEDIUM 2
#define INERTIA_HIGH 3
#define INERTIA_SILLY 4

#define ANGLE_LOW 0
#define ANGLE_MEDIUM 1
#define ANGLE_HIGH 2
#define ANGLE_ABOVE 3

#define DETAIL_VERYLOW 0
#define DETAIL_LOW 1
#define DETAIL_MEDIUM 2
#define DETAIL_HIGH 3
#define DETAIL_VERYHIGH 4
#define DETAIL_SILLY 4

#define VISMODE_WIREFRAME 0
#define VISMODE_DOTS 1

#define STARS_NONE 0
#define STARS_SPARSE 1
#define STARS_MEDIUM 2
#define STARS_DENSE 3
#define STARS_SILLY 4

#define STARSPEED_STATIC 0
#define STARSPEED_SLOW 1
#define STARSPEED_MEDIUM 2
#define STARSPEED_FAST 3
#define STARSPEED_SILLY 4


class swearconfig:public config
{
	public:
	swearconfig();

	void run_menu();

	int key_up,key_down,key_left,key_right;
	bool joystick,autorestart,antialias,windowed;
	int cameramode,smoothing,trackingangle;
	int detaillevel,vismode;
	int stars,starspeed;

	static int detailmult[];
};

extern swearconfig *c;

#endif
